# IGListAdapterUpdateListener Protocol Reference

# IGListAdapterUpdateListener

    @protocol IGListAdapterUpdateListener <NSObject>

Conform to this protocol to receive events about `IGListAdapter` updates.

- `-listAdapter:didFinishUpdate:animated:`

  Notifies a listener that the listAdapter was updated.

  Note

  This event is sent before the completion block in `-[IGListAdapter performUpdatesAnimated:completion:]` and `-[IGListAdapter reloadDataWithCompletion:]` is executed. This event is also delivered when an `IGListSectionController` updates via `-[IGListCollectionContext performBatchAnimated:updates:completion:]`.

  #### Declaration

  Objective-C

      - (void)listAdapter:(nonnull IGListAdapter *)listAdapter
          didFinishUpdate:(IGListAdapterUpdateType)update
                 animated:(BOOL)animated;

  Swift

      func listAdapter(_ listAdapter: IGListAdapter, didFinish update: IGListAdapterUpdateType, animated: Bool)

  #### Parameters

  `listAdapter` | The `IGListAdapter` that updated.
  `update` | The type of update executed.
  `animated` | A flag indicating if the update was animated. Always `NO` for `IGListAdapterUpdateTypeReloadData`.

© 2018 Instagram. All rights reserved. (Last updated: 2018-05-01)

Generated by jazzy ♪♫ v0.9.1, a Realm project.